Estoque de um produto (todos os depósitos)
curl --request GET \
--url https://api.example.com/inventory/product/{productId}import requests
url = "https://api.example.com/inventory/product/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inventory/product/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalAvailable": 150,
"totalPhysical": 160,
"totalReserved": 10,
"stocks": [
{
"warehouseId": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"available": 100,
"physical": 110,
"reserved": 10
},
{
"warehouseId": "b1b2c3d4-e5f6-7890-1234-567890abcdef",
"available": 50,
"physical": 50,
"reserved": 0
}
]
}
Inventory
Estoque do Produto (Split por Depósito)
Mostra os saldos consolidados de um produto, e detalha o particionamento em múltiplos armazéns.
GET
/
inventory
/
product
/
{productId}
Estoque de um produto (todos os depósitos)
Path
UUID do produto desejado do catálogo.
Response
{
"totalAvailable": 150,
"totalPhysical": 160,
"totalReserved": 10,
"stocks": [
{
"warehouseId": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"available": 100,
"physical": 110,
"reserved": 10
},
{
"warehouseId": "b1b2c3d4-e5f6-7890-1234-567890abcdef",
"available": 50,
"physical": 50,
"reserved": 0
}
]
}
Path Parameters
Response
Estoque consolidado + por depósito
⌘I